' ================= Cylon3v2.bas ==================

'	See if you can figure out how this version works.

' === Constants ===
	symbol abit = 100			' used to slow down

' === Variables ===
	symbol index = b0			' used in for/next loops
	symbol  LEDs = b1			' used to vary lit LEDs	
	
' === Directives ===
	#com 5								' specify serial port
	#picaxe 20M						' specify processor
	#terminal off					' disable terminal window

' ============== Begin Main Program ===============
do
	outpins = %00000001					' light 1 on left
	pause abit									' slow down a bit
	outpins = %00000011					' light 2 on left
	pause abit									' slow down a bit		
	LEDs = %00000111						' initialize LEDs 
	
	for index = 1 to 9					' for 9 "triplets"
		outpins = LEDs						' light 3 (or 2 or 1)
		LEDs = LEDs * 2						' shift right     
	  pause abit								' slow down a bit
	next index
	wait 1
	
	outpins = %10000000					' light 1 on right
	pause abit									' slow down a bit	
	outpins = %11000000					' light 2 on right
	pause abit									' slow down a bit	
	LEDs = %11100000						' initialize LEDs 
	
	for index = 9 to 1 step -1	' for 9 "triplets"
		outpins = LEDs						' light 3 (or 2 or 1)
		LEDs = LEDs / 2						' shift left
	  pause abit								' slow down a bit
	next index	
	wait 1	
loop