' =================== ButtonCount.bas ====================

'	Program runs on a PICAXE-20M. Seven segments of an LED
' bar display are connected to outputs 0-6 (pins 18-12).
'
' An input switch is connected to input 1 (pin 9)
' and held low with a 4.7k resistor.

'	However, theres a problem. Can you diagnose it?

' === Constants ===
  symbol abit = 200					' used for pauses
  symbol  btn = input1			' push-button on input 1
	
' === Variables ===
  symbol LEDs = b0					' used to count btn-presses

' === Directives ===
	#com 5							 			' specify com port
	#picaxe 20M				 				' specify processor
	#terminal off							' disable terminal window	
	
' ================== Begin Main Program ==================
	LEDs = 1									' start count at 1
	
do		
	outpins = LEDs						' display count
	pause abit								' simulate a longer program
	
	if btn is on then
		inc LEDs								' increment count
		pause 50								' de-bounce time for btn-press
		
tarry:
		if btn is on then tarry ' wait for release
		pause 50								' de-bounce time for release
	endif
	
	if LEDs > 127 then
		 LEDs = 1								' reset count to 1
	endif
loop