' ============== VoltageDiv1.bas ==============

'	This program runs on a PICAXE-08M processor.
'	It repetitively updates an ADC voltage
'	measurement on ADC1 and displays the results
'	in the Terminal Window. The program also
'	blinks an LED to show it's working.

' === Constants ===
	symbol  LED = 4			' LED on output 4 (pin 3) 
	symbol Vdiv = 1			' divider on ADC1 (pin 6)

' === Variables ===
	symbol ADCval= b0		' used to store ADC value

' === Directives ===
   #com 3							' specify com port
   #picaxe 08M				' specify processor
   #terminal 4800			' open terminal window
   
' ============ Begin Main Program =============

do
	high LED								' for debugging
	readadc Vdiv, ADCval		' get ADC value
	pause 500								' slow down
	low LED	
	sertxd (#ADCval,cr,lf) 	' send ADCval to TW
	pause 500		
loop