' ================ VoltageDiv1.bas =================

' This program runs on a PICAXE-08M2 processor.
' It repetitively updates an ADC voltage measurement
' on ADC1 and displays the result in the Terminal.

' === Constants ====
   symbol  LED = C.4		' LED on C.4 (pin 3) 
   symbol Vdiv = C.1		' voltage divider on C.1

' === Variables ====
   symbol ADCval= b0		' used to store ADC value

' === Directives ===
   #com 3								' specify com port
   #picaxe 08M2					' specify processor
   #terminal 4800				' open terminal window

' ============= Begin Main Program ==============
   dirsC = %00010101			' set up I/O directions
   
do
   high LED								' for debugging
   readadc Vdiv, ADCval		' get ADC value
   pause 500							' slow down
   low LED
   sertxd (#ADCval,cr,lf) ' send ADCval to TW
   pause 500		
loop