' =================== SerinFromIR.bas ===================

' Program runs on a 20X2 & receives data from IR periph.

' === Constants ===
  symbol abit   = 500				' used in pauses
	symbol fromIR = C.2				' input pin specification
  symbol toIR   = C.5				' output pin specification

' === Variables ===
	symbol IRflag = pinC.2		' value of input pin variable
	symbol 		key = b0				' value of key-press		

' === Directives ===
  #com 3										' specify com port
  #picaxe 20X2							' specify processor	 
  #no_data									' reduce download time
  #no_table									' reduce download time
  #terminal 9600						' open terminal window	

' ================== Begin Main Program =================
do
  pause 100									' pretend to be busy
  if IRflag = 1 then gosub getData	
loop

' ======== End Main Program - Subroutines Follow ========
getData:
  pulsout toIR,5						' 50uS "send it" pulse	
  serin fromIR,N2400_8,key	' get value of key-press	
  sertxd (#key,cr,lf) 			' send value to Terminal	 
  return