' ======================== Keypad1.bas ========================

' Program uses an ADC approach to decoding a 4X4 matrix keypad.
' It sends the keypress ADC key value to the terminal window.
	
' === Variables ===
symbol key  = w0		' used in adc10; word variable is required 
symbol junk = b2		' throwaway variable used for debouncing 	
	
' === Directives ===
#com 3							' specify serial port
#picaxe 08M					' specify processor
#terminal 9600			' open terminal (8MHz produces 9600 BAUD)
	
' ==================== Begin Main Program =====================

setfreq m8							' as fast as possible

do	
	wait_for_keypress:
  	readadc 2, junk
		if junk < 5 then wait_for_keypress
		pause 100						' debounce keypress
		readadc10 2, key		'get ADC value
		
	wait_for_release:	
		readadc 2, junk
		if junk > 5 then wait_for_release
		sertxd ("key = ",#key,cr,lf)	' send ADC value to terminal
loop