' ==================== Cylon3v2.bas ===================

'	See if you can figure out how this version works.

' === Constants ===
	symbol abit = 100				' used to slow down

' === Variables ===
	symbol index = b0				' used in for/next loops
	symbol  LEDs = outpinsB	' used to vary lit LEDs				
	
' === Directives ===
	#com 3									' specify serial port
	#picaxe 20M2						' specify processor
	#no_data								' save download time
	#terminal off						' disable terminal window

' ================ Begin Main Program =================
	dirsB = %11111111			' all outputs
	
do
	LEDs = %00000001			' light 1 on left
	pause abit						' slow down a bit
	LEDs = %00000011			' light 2 on left
	pause abit						' slow down a bit	
	LEDs = %00000111			' light 3 on left
	pause abit						' slow down a bit
	
	for index = 1 to 8		' for 8 "triplets"
		LEDs = LEDs * 2			' shift right & light 3, 2 or 1	 
	  pause abit					' slow down a bit
	next index
	wait 1
	
	LEDs = %10000000			' light 1 on right
	pause abit						' slow down a bit	
	LEDs = %11000000			' light 2 on right
	pause abit						' slow down a bit
	LEDs = %11100000			' light 3 on right 
	pause abit						' slow down a bit
	
	for index = 8 to 1 step -1	' for 8 "triplets"
		LEDs = LEDs / 2			' shift left & light 3, 2, or 1	
	  pause abit					' slow down a bit
	next index
	wait 1	
loop