' ================== TV-IRinput.bas ===================

'	This program runs on a PICAXE-08M processor at 4 MHz.
'	It waits for keypress from a SIRC TV remote control.
'	When it's been received, it sends it to the Terminal.
'
'	Note: "infra" is a built-in variable assigned to b13.

' === Directives ===
	#com 4								' specify com port
	#picaxe 08M						' specify PICAXE processor
	#terminal 4800				' open terminal window

' ================ Begin Main Program =================

do
	infrain2							' wait here for infrared input
	sertxd (#infra,CR,LF)	' send ASCII digits to terminal
	pause 500							' slow it down a bit
loop