' =================== TV-IRinput.bas ===================

' This program runs on a PICAXE-08M2 processor at 4 MHz.
' It waits for key-press from a SIRC TV remote control.
' When it's been received, it sends it to the Terminal.
'
' Note: "infra" is a built-in variable assigned to b13.

' === Directives ===
  #com 4								' specify com port
  #picaxe 08M2					' specify PICAXE processor
  #terminal 4800				' open terminal window

' ================= Begin Main Program =================

do
  irin C.3, infra				' wait here for infrared input
  sertxd (#infra,CR,LF)	' send ASCII digits to terminal
  pause 500							' slow it down a bit
loop