' ================= TestKeypad.bas ==================

' 	Program decodes a "rotated" 4X4 matrix keypad.
	
' === Variables ===
	symbol key  = w0						' ADC key value
	symbol junk = b2						' throwaway char	
	
' === Directives ===
	#com 4											' specify com port
	#picaxe 20X2								' specify processor
	#no_data										' speed up download
	#no_table										' speed up download
	#terminal 9600							' open terminal window
	
' =============== Begin Main Program ================

dirsB = %11101111							' set pinB.4 as input
adcsetup = %0000000001000000	' enable ADC6

do	
wait_for_keypress:
  readadc 6, junk
	if junk < 5 then wait_for_keypress
	
	pause 25										' debounce keypress
	readadc10 6, key						' get ADC value
		
wait_for_release:	
	readadc 6, junk
	if junk > 5 then wait_for_release

	sertxd ("key = ",#key,cr,lf)' send data to terminal	
loop