' =================== Comparator1Demo.bas ===================

' Program demonstrates the use of Comparator 1 on the EG MPD.

' === Constants ===
	symbol LED = C.5						' LED on C.5

' === Directives ===
	#com 4											' specify COM port
	#picaxe 20X2								' specify compiler mode
	#no_data										' save time downloading
	#no_table										' save time downloading
	#terminal off								' disable terminal window

' =================== Begin Main Program ====================

setfreq m16										' set frequency to 16MHz
dirsB = %11101111							' configure pinB.4 as input
dirsC = %10111111							' configure pinC.6 as input
pullup  %00000010							' enable internal pullup on C.6	
adcsetup = %0000000001000000	' see "adcsetup" in Manual
compsetup  %0101000101, 0			' see "compsetup" in Manual

do
	if compvalue = 1 then				' any key-press is > 1.024v
		high LED
	else												' no keypress equals 0v
		low LED
	endif
loop