' ============ Exp4-CurrentTest.bas ============

'   Program demonstrates L298 current-sensing.

' === Constants ===
	symbol enable = C.5
	
' === Variables ===
	symbol Vin = b0

' === Directives ===
	#com 4								' specify com port
	#picaxe 20X2					' specify processor
	#no_data							' save time downloading
	#no_table							' save time downloading
	#terminal 9600				' open terminal window
	
' ============= Begin Main Program =============

low enable							' make C.5 an output

high B.0								' setup for "forward"
low  B.2
high B.5
low  B.7

high enable							' start motor

do
'	(Pinch motor shaft to see change in ADC value)
	readadc10 11, Vin			' get ADC value
	sertxd (#Vin, CR, LF)	' send it to Terminal
	pause 500
loop