' ================== IRtoOctavius.bas ==================
'
'	Program runs on the 08M2-based IR-TV Module from Ch 8.
' It waits for a keypress from a SIRC TV remote control.
' When it's received, it transmits it to Octavius.

' === Constants ===
	symbol toOct = C.2				' serout line to Octavius
	symbol frOct = C.4				' input line from Octavius
	
' === Variables ===
	symbol junk = w0					' word required by pulsin 

' === Directives ===
	#com 4										' specify com port
	#picaxe 08M2							' specify processor
	#terminal off							' disable terminal window

' ================= Begin Main Program =================
do
	irin C.3, infra										' wait for IR input

	select case infra
		case 16 to 20										' 4 arrows & mute
			high toOct										' "ready to send"
			pulsin frOct,1, junk					' junk is junk
			low toOct	
			serout toOct,N2400_4,(infra)	' send to Octavius
	endselect

	pause 500
loop